about summary refs log tree commit diff
diff options
context:
space:
mode:
authorvanhauser-thc <vh@thc.org>2024-01-23 19:55:35 +0100
committervanhauser-thc <vh@thc.org>2024-01-23 19:55:35 +0100
commit227c1a7002dcb1042e4a02ec1f060bf408913b8c (patch)
tree5dd353914b436c98b3f85db662c4ccdecc3c50ed
parent243c6640a8fbad68bca6d1305659d646db499d7e (diff)
downloadafl++-227c1a7002dcb1042e4a02ec1f060bf408913b8c.tar.gz
improve compiler test script
-rwxr-xr-xtest/test-compilers.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/test-compilers.sh b/test/test-compilers.sh
index 628af423..b47cf38d 100755
--- a/test/test-compilers.sh
+++ b/test/test-compilers.sh
@@ -1,7 +1,7 @@
 #!/bin/sh
 echo Testing compilers ...
 for cc in afl-cc afl-gcc afl-clang afl-clang-fast afl-clang-lto afl-gcc-fast; do
-  test -e ../$cc && { ../$cc -o t ../test-instr.c >/dev/null 2<&1 || echo Failing: $cc ; } || echo Missing: $cc
+  test -e ../$cc && { { ../$cc -o t ../test-instr.c >/dev/null 2<&1 && echo Success: $cc ; } || echo Failing: $cc ; } || echo Missing: $cc
 done
 rm -f t
 echo Done!